2005-10-03 [paul] 1.9.14cvs67
[claws.git] / doc / manual / en / sylpheed-4.html
index 79d3bf68075eacd245e7f426dbedc08e39b0dd3c..92dd540615a83d67d90740735af32325f7912585 100644 (file)
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
-<HTML>
-<HEAD>
- <META NAME="GENERATOR" CONTENT="SGML-Tools 1.0.9">
- <TITLE>Sylpheed User's Manual: Installation.</TITLE>
- <LINK HREF="sylpheed-5.html" REL=next>
- <LINK HREF="sylpheed-3.html" REL=previous>
- <LINK HREF="sylpheed.html#toc4" REL=contents>
-</HEAD>
-<BODY>
-<A HREF="sylpheed-5.html">Next</A>
-<A HREF="sylpheed-3.html">Previous</A>
-<A HREF="sylpheed.html#toc4">Contents</A>
-<HR>
-<H2><A NAME="s4">4. Installation.</A></H2>
-
-<H2><A NAME="ss4.1">4.1 Required environment</A>
-</H2>
-
-<P>To succesfully compile Sylpheed, you need at least:
-<UL>
-<LI>Any POSIX compliant UNIX or similar OS eg. Linux, FreeBSD, Solaris</LI>
-<LI>GTK+ 1.2.6 or later</LI>
-<LI>A recent ANSI C compiler (gcc 2.7.2.3 should also work) Note: it is reported that Sun C will not compile Sylpheed.</LI>
-</UL>
-
+<html>
+<head>
+  <meta name="GENERATOR" content="LinuxDoc-Tools 0.9.21">
+  <title>Sylpheed-Claws User's Manual: Installation.</title>
+  <link href="sylpheed-5.html" rel="next">
+  <link href="sylpheed-3.html" rel="previous">
+  <link href="sylpheed.html#toc4" rel="contents">
+</head>
+<body>
+<a href="sylpheed-5.html">Next</a>
+<a href="sylpheed-3.html">Previous</a>
+<a href="sylpheed.html#toc4">Contents</a>
+<hr>
+<h2><a name="s4">4.</a> <a href="sylpheed.html#toc4">Installation.</a></h2>
+<h2><a name="ss4.1">4.1</a> <a href="sylpheed.html#toc4.1">Required
+environment</a>
+</h2>
+<p>To succesfully compile Sylpheed, you need at least:
+</p>
+<ul>
+  <li>Any POSIX compliant UNIX or similar OS eg. Linux, FreeBSD, Solaris</li>
+  <li>
+    <a href="http://www.gtk.org/">GTK+</a> 2.4.x or later</li>
+  <li>A recent ANSI C compiler (
+    <a href="http://gcc.gnu.org/">gcc</a> 2.95 should also work).</li>
+</ul>
 Optionally you need:
-<UL>
-<LI>Imlib or gdk-pixbuf (for built-in image view)</LI>
-<LI>libcompface (for X-Face)</LI>
-<LI>libjconv (for I18N)</LI>
-<LI>GPGME (for GnuPG)</LI>
-<LI>OpenLDAP (for LDAP connection)</LI>
-<LI>Jpilot (for Palm addressbook use)</LI>
-<LI>the equivalent of GTK+-devel and Xfree86-devel. (Otherwise ./configure will fail.)</LI>
-</UL>
-
-Notice: Sylpheed may be unstable depending on the environment. Please use the newest version of libraries if possible.
-<H2><A NAME="ss4.2">4.2 Environments known as valid for Sylpheed</A>
-</H2>
-
-<P>
-<UL>
-<LI>Debian GNU/Linux unstable (sid) (glibc 2.2) (development environment) </LI>
-<LI>Debian GNU/Linux 2.2 (potato) (glibc 2.1.3) </LI>
-<LI>Kondara MNU/Linux (glibc 2.1.x) </LI>
-<LI>Vine Linux 1.1 (glibc 2.0.x + libwcsmbs) </LI>
-<LI>Vine Linux 2.0 (glibc 2.1.x) (Intel, PPC) </LI>
-<LI>Vine Linux 2.1 </LI>
-<LI>Laser5 Linux 6.0 (glibc 2.1.x) , 6.2, 6.4</LI>
-<LI>TurboLinux 4.0 (glibc 2.0.7 + libwcsmbs) </LI>
-<LI>TurboLinux 6.0 (glibc 2.1.2) </LI>
-<LI>Miracle Linux Standard Edition Version1.0 </LI>
-<LI>Miracle Linux for PostgreSQL Version1.0 </LI>
-<LI>Miracle Linux for Samba Version1.0 </LI>
-<LI>RedHat Linux 5.2 (glibc 2.0.7) </LI>
-<LI>RedHat Linux 6.0 </LI>
-<LI>RedHat Linux 6.1 + Helix GNOME (glibc 2.1.x) </LI>
-<LI>RedHat Linux 6.2 / 6.2J (glibc 2.1.x) </LI>
-<LI>RedHat Linux 7.0 / 7.0J </LI>
-<LI>RedHat Linux 7.1</LI>
-<LI>RedHat Linux 7.2 (beta 'Roswell')</LI>
-<LI>LinuxPPC2000 + Yukikaze(Japanization kit) </LI>
-<LI>Linux2000G (Intel, PowerPC) </LI>
-<LI>HOLON Linux 2.0 (Intel / PPC) </LI>
-<LI>Linux for PPC Japanese Edition 2.0 and 3.0 (glibc 2.1.x) </LI>
-<LI>Linux MLD4</LI>
-<LI>Linux MLD5 </LI>
-<LI>Plamo Linux 2.0 </LI>
-<LI>Slackware 7.1 </LI>
-<LI>Linux Mandrake 7.0 through 8.0</LI>
-<LI>SuSE Linux 6.3 (glibc 2.1.2) </LI>
-<LI>SuSE Linux 6.4, 7.0, 7.1</LI>
-<LI>OpenLinux 2.3 (glibc 2.1.1 -> 2.1.3) </LI>
-<LI>Caldera OpenDesktop 2.4 </LI>
-<LI>Conectiva Linux 4.0 and 5.0</LI>
-<LI>Vector Linux 1.5 </LI>
-<LI>FreeBSD releases 3.2, 3.4, 4.0, 4.1, 4.2 and 5.0</LI>
-<LI>NetBSD 1.4.2 </LI>
-<LI>NetBSD 1.5 + XPG4DL </LI>
-<LI>OpenBSD 2.7 </LI>
-<LI>OpenBSD 2.8 (i386) </LI>
-<LI>BSD/OS 4.0.1 </LI>
-<LI>Solaris 2.5, 2.5.2., 2.6, 7, 8</LI>
-<LI>IRIX 6.3 and 6.5, 6.5.8m </LI>
-<LI>HP-UX 10.20 </LI>
-<LI>Mac OS X (Darwin 1.3) + Xtools (has locale problem) </LI>
-<LI>Windows (cygwin + GTK+ for win32) (unstable) </LI>
-</UL>
-<H2><A NAME="ss4.3">4.3 Nuts and bolts of installation</A>
-</H2>
-
-<P>
-<UL>
-<LI>Download the latest version of the Sylpheed package from
-<A HREF="http://sylpheed.good-day.net/">http://sylpheed.good-day.net/</A></LI>
-<LI>Untar the sourcefiles to a new directory</LI>
-<LI>tar -xvfz sylpheed-.tar.gz (for tar.gz)</LI>
-<LI>tar -xvfI sylpheed-.tar.bz2 (for tar.bz2) </LI>
-<LI>cd to the new sylpheed- directory </LI>
-<LI>Run ./configure to check your environment and create the installation make files </LI>
-<LI>Run the 'make' program which will compile the sources. Do not proceed with this step if there are fatal errors in the previous step. Fatal errors indicate that things are missing in order to compile Sylpheed properly. </LI>
-</UL>
-<P>If the make process has completed, run "make install" (as root), to install the program and the supportfiles
-<H2><A NAME="ss4.4">4.4 Installation on Linux using RPM</A>
-</H2>
-
-<P>As root, run the "rpm -ivh " command on the RPM file you downloaded. As soon as this process is complete you can run Sylpheed as user. 
-<H2><A NAME="ss4.5">4.5 Installation on Debian Linux</A>
-</H2>
-
-<P>With an internet connection :
-<P>apt-get install sylpheed (to install it with a internet connection)
-<P>Without internet connection, fetch the debian package for example on
-<A HREF="http://packages.debian.org/unstable/mail/sylpheed.html">http://packages.debian.org/unstable/mail/sylpheed.html</A><P>dpkg -i sylpheedx.x.x-1i386.deb
-<P>dpkg --install sylpheedx.x.x-1i386.deb
-<H2><A NAME="ss4.6">4.6 Installation on FreeBSD</A>
-</H2>
-
-<P>using the /stand/sysinstall tool (it is a menu-based interface) :
-<P>run "/stand/sysinstall" as root
-<P>in the main menu choose "Configure" -> "Packages" -> "mail", then "sylpheed" then, back to the "Packages" list, choose "Install"
-<P>Using the ports
-<P>Get the sylpheed port on :
-<P>
-<A HREF="ftp://ftp.freebsd.org/pub/FreeBSD/ports/i386/packages-4.3-release/mail">ftp://ftp.freebsd.org/pub/FreeBSD/ports/i386/packages-4.3-release/mail</A><P>then, as root: pkg-add sylpheed-0.x.x.tgz
-<P>using the ports with compiling:
-<P>first, update your port, fetch it on 
-<A HREF="http://www.freebsd.org/ports/mail.html">http://www.freebsd.org/ports/mail.html</A><P>cd /usr/ports/mail/sylpheed
-<P>make
-<P>If it succeeds, type "make install"
-<P>In case it fails, fetch the required package if necessary
+<a name="option_libraries"></a>
+<ul>
+  <li><a href="ftp://ftp.cs.indiana.edu/pub/faces/compface/">libcompface</a>
+(for X-Face)</li>
+  <li><a href="http://www.gnupg.org/gpgme.html">GPGME</a>
+and
+    <a href="http://www.gnupg.org/">GNUPG</a>
+(for encryption and signature)</li>
+  <li>
+    <a href="http://www.openssl.org/">OpenSSL</a>
+(for SSL support)</li>
+  <li>
+    <a href="http://www.openldap.org/">OpenLDAP</a>
+(for LDAP connection)</li>
+  <li>IPv6 support can be turned on (if your system supports it)</li>
+  <li>
+    <a href="http://www.jpilot.org/">Jpilot</a>
+(for Palm addressbook use)</li>
+  <li><a href="http://libetpan.sourceforge.net">Libetpan</a> (for IMAP4
+support)</li>
+  <li>libgnomeprint(ui) (for extended printing support)</li>
+  <li><a href=http://aspell.sourceforge.net/>Aspell</a> (for spell checker support)</li>
+  <li><a href=http://spamassassin.org/>SpamAssassin</a> (for SpamAssassin plugin support)</li>
+  <li><a href=http://clamav.sourceforge.net/>Clam AntiVirus</a> (for Clam AntiVirus plugin support)</li>
+  <li><a href=http://www.dillo.org/>Dillo</a> (for Dillo HTML viewer plugin support)</li>
+  <li><a href=http://helm.cs.unibo.it/mml-widget/>GtkMathView</a> (for MathML viewer plugin support)</li>
+</ul>
+<p></p>
+<h2><a name="ss4.2">4.2</a> <a href="sylpheed.html#toc4.2">Nuts and
+bolts of installation</a>
+</h2>
+<p>
+</p>
+<ul>
+  <li>Download the latest version of the Sylpheed-Claws package from
+    <a href="http://sourceforge.net/project/showfiles.php?group_id=25528&package_id=147457">SourceForge</a></li>
+  <li>Untar the sourcefiles to a new directory</li>
+  <li>tar -zxf sylpheed-claws-x.x.x.tar.gz (for tar.gz)</li>
+  <li>tar -jxf sylpheed-claws-x.x.x.tar.bz2 (for tar.bz2) </li>
+  <li>cd to the new sylpheed-claws-x.x.x directory </li>
+  <li>Run ./configure to check your environment and create the
+installation make files </li>
+  <li>Run the 'make' program which will compile the sources. Do not
+proceed with this step if there are fatal errors in the previous step.
+Fatal errors indicate that things are missing in order to compile
+Sylpheed-Claws properly. </li>
+</ul>
+<p></p>
+<p>If the make process has completed, run "make install" (as root), to
+install the program and the supportfiles.</p>
+<h3><a name="compile_sylpheed"></a> Compiling Sylpheed-Claws with
+options</h3>
+<p>You can choose to compile Sylpheed-Claws with some optional features
+enabled.
+Use <i>./configure --help</i> to list configuration syntax and options.</p>
+<p>The following optional features can be enabled:</p>
+<p>
+</p>
+<ul>
+  <li><i>Jpilot</i>: to use you PDA addressbook with Sylpheed-Claws. You will
+need the <i>Jpilot</i> library (and <i>pilot-link</i>, too).
+Enable this option with the <i>--enable-jpilot</i> configure switch.</li>
+  <li><i>GnuPG</i>: Sylpheed-Claws can encrypt and sign your messages (also
+decrypt
+and verify the signatures of the incoming messages) using GnuPG.
+GnuPG follows the OpenPGP standard and is compatible with PGP.
+To enable this feature, you need to install GnuPG and GPGME (interface
+library to GnuPG). This is automatically enabled if possible.</li>
+  <li><i>LDAP</i>: Sylpheed-Claws can connect to a LDAP server in order to
+query mail addresses. To enable this feature you will need the
+OpenLDAP library.
+Enable this option with the <i>--enable-ldap</i> configure switch.</li>
+  <li><i>X-Face</i>: you can create a small picture (of your face, or
+of anything else) that will be sent in the header of your mails.
+This option is enabled if the compface library is found and
+can be disabled using the <i>--disable-compface</i> configure switch.</li>
+  <li><span style="font-style: italic;">SSL</span>: OpenSSL support
+will be automatically built if openssl is available with its
+development files.</li>
+  <li><span style="font-style: italic;">libetpan</span>: libetpan is
+required to build IMAP4 support. As this is important, if libetpan
+isn't present, configure will fail. You can force a build with no IMAP4
+support by using <span style="font-style: italic;">--disable-libetpan</span>.</li>
+</ul>
+<p></p>
+<p>All these features require additional libraries and tools that may
+not be part
+of your distribution. You can find them at the addresses listed at the
+beginning
+of this chapter, <a href="#option_libraries">here</a>.</p>
+<h2><a name="ss4.3">4.3</a> <a href="sylpheed.html#toc4.3">Installation
+on Linux using RPM</a>
+</h2>
+<p>As root, run the "rpm -Uvh " command on the RPM file you downloaded.
+As soon as this process is complete you can run Sylpheed-Claws as user.
+</p>
+<h2><a name="ss4.4">4.4</a> <a href="sylpheed.html#toc4.4">Installation
+on Debian Linux</a>
+</h2>
+<p>With an internet connection :</p>
+<p>apt-get install sylpheed-claws (to install it with a internet
+connection)</p>
+<p>Without internet connection, fetch the debian package for example on
+<a href="http://packages.debian.org/unstable/mail/sylpheed-claws-gtk2.html">http://packages.debian.org/unstable/mail/sylpheed-claws-gtk2.html</a></p>
+<p>dpkg -i sylpheed-claws-gtk2_x.x.x-1i386.deb</p>
+<p>dpkg --install sylpheed-claws-gtk2_x.x.x-1i386.deb</p>
+<h2><a name="ss4.5">4.5</a> <a href="sylpheed.html#toc4.5">Installation
+on FreeBSD</a>
+</h2>
+<p>using the /stand/sysinstall tool (it is a menu-based interface) :</p>
+<p>run "/stand/sysinstall" as root</p>
+<p>in the main menu choose "Configure" -&gt; "Packages" -&gt; "mail",
+then "sylpheed-claws" then, back to the "Packages" list, choose
+"Install"</p>
+<p>Using the ports</p>
+<p>Get the Sylpheed-Claws port on :</p>
+<p>
+<a
+ href="ftp://ftp.freebsd.org/pub/FreeBSD/ports/i386/packages-current/mail/">ftp://ftp.freebsd.org/pub/FreeBSD/ports/i386/packages-current/mail/</a></p>
+<p>then, as root: pkg-add sylpheed-claws-x.x.x.tgz</p>
+<p>using the ports with compiling:</p>
+<p>first, update your port, fetch it on <a
+ href="http://www.freebsd.org/ports/mail.html">http://www.freebsd.org/ports/mail.html</a></p>
+<p>cd /usr/ports/mail/sylpheed-claws</p>
+<p>make</p>
+<p>If it succeeds, type "make install"</p>
+<p>In case it fails, fetch the required package if necessary
 (on the same page), put the package file in /usr/ports/distfiles/
 then :
-<UL>
-<LI>cd /usr/ports/mail/sylpheed</LI>
-<LI>make</LI>
-<LI>make install</LI>
-</UL>
-<P>Need a more up-to-date version ?
-<P>Just use the Unix standard method (see "Nuts and bolts of installation")
-<HR>
-<A HREF="sylpheed-5.html">Next</A>
-<A HREF="sylpheed-3.html">Previous</A>
-<A HREF="sylpheed.html#toc4">Contents</A>
-</BODY>
-</HTML>
+</p>
+<ul>
+  <li>cd /usr/ports/mail/sylpheed-claws</li>
+  <li>make</li>
+  <li>make install</li>
+</ul>
+<p></p>
+<p>Need a more up-to-date version ?</p>
+<p>Just use the Unix standard method (see "Nuts and bolts of
+installation")</p>
+<hr>
+<a href="sylpheed-5.html">Next</a>
+<a href="sylpheed-3.html">Previous</a>
+<a href="sylpheed.html#toc4">Contents</a>
+</body>
+</html>